Create a transaction
Authorization
ApiKeyAuth BearerAuth API key for integrator authentication
In: header
JWT token for user authentication
In: header
Header Parameters
API key for authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.createTransaction({}){ "success": true, "data": { "id": "3943bb00-1551-4f1d-bf32-2d82608bc15e", "date": "2025-07-25T14:02:36.000Z", "coin": "USDC", "leftSideLabel": "CAD", "leftSideValue": 500, "rightSideLabel": "ETH-USDC", "rightSideValue": 325.5, "status": "complete", "wallet": "0x756Fead01907b3c2173d148f9864d00fAd371AB6", "paymentType": "interac", "paymentId": "pay_123456789", "rmtId": "CA1MRUaaErpx", "depositAddress": "0x1234567890123456789012345678901234567890" }}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}